/*USED WITH SCROLLTOP*/
html {
    scroll-behavior: smooth;
}

/*attempting to allow zoom out on mobile*/
@media (width < 55rem) {
    .filler {
        height: 75rem;
    }
}

body {
    margin: 0;
    background: black;
    color: white;

    /*REPLACE*/
    background: url("../pics/bg/purplepattern3.png");
    background-size: 12rem;
    image-rendering: pixelated;
}
h1 {
    margin: 0.5rem;
}
h2 {
    text-align: center;
    width: 10rem;
    margin: auto;
    padding: 0.5rem;
}
h3 {
    text-align: center;
}

.layout {
    display: grid;
    grid-template-areas:
        "header"
        "main";
    /*grid-template-rows: auto 1fr;*/
    /*width: 100%;*/
    /*height: 100vh;*/
}
.layout > header {
    grid-area: header;
    /*text-align: center;*/

    display: flex;
    padding: 0 1rem;
    width: fit-content;
    margin: 1rem auto;
    align-items: center;
}
.layout > main {
    grid-area: main;

    /*these only work on grid children btw*/
    justify-self: center;
    align-self: center;

    border: solid;
    border-color: #630000;
    border-width: 5px;
    background-color: #630000;
}

.decoration {
    position: absolute;
}
.door {
    background: url("../pics/graphics/icon/doorclosed4.png") no-repeat;
    background-size: contain;
    height: 10rem;
    aspect-ratio: 9 / 8;
    display: flex;
    justify-content: center;
    h3 {
        margin-left: 38%;
        margin-top: -2rem;
        height: fit-content;
        padding: 0.2rem 0.4rem;
    }
}
.door:hover {
    background: url("../pics/graphics/icon/dooropen4.png") no-repeat;
    background-size: contain;
}

.pointer-left {
    left: 0.5rem;
}
.pointer-right {
    right: 0.5rem;
}
.pointer-left,
.pointer-right {
    position: absolute;
    bottom: 14rem;
    padding: 0.5rem;
}
.pointer-left img,
.pointer-right img {
    height: 2.3rem;
}
.pointer-left:hover,
.pointer-right:hover {
    transform: scale(1.15);
}

#rooms {
    overflow-x: scroll;
    width: 55rem;
    display: grid;
    grid-template-columns: repeat(5, 1fr);

    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
}
#rooms > article {
    box-sizing: border-box;
    position: relative;
    width: 55rem;
    /*height: 34.375rem;*/
    aspect-ratio: 16 / 10;

    background: url("pics/room3.png") no-repeat;
    background-size: contain;

    padding: 3rem 6.8rem;

    scroll-snap-align: start;
}

/*ABOUT ROOM*/
#about {
    display: grid;
    grid-template-columns: auto 1fr 20rem;
    grid-template-rows: auto auto auto 12rem;
    gap: 10px;
}
#about > h2 {
    grid-area: 1 / 1 / 1 / 4;
}
.about-profile {
    grid-area: 2 / 1;
    width: 7rem;
    padding: 0.5rem;
    image-rendering: auto;
}
.about-tab {
    grid-area: 3 / 1 / 5;
    width: fit-content;
    height: fit-content;
    display: flex;
    flex-direction: column;
    justify-self: center;
    align-self: center;
    model-viewer {
        margin: 0 auto;
        width: 5rem;
        height: 5rem;
    }
}
.about-info {
    grid-area: 2 / 3 / 4 / 3;
    padding: 0 0.5rem;
    overflow-y: auto;
    ul {
        display: flex;
        flex-direction: column;
        gap: 0.4rem;
        margin-right: 1rem;
    }
}
.about-links {
    display: flex;
    justify-content: space-around;
}
.about-friends {
    grid-area: 4 / 3;
    height: fit-content;
    h3 {
        margin: 0.5rem;
    }
    div {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-around;
    }
    padding: 0.5rem;
}
.about-mood {
    grid-area: 3 / 1;
    width: fit-content;
    height: fit-content;
    justify-self: center;
    padding: 0.5rem;
}

/*GAMES ROOM*/
#games {
    display: grid;
    grid-template-rows: auto auto 1fr;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 10px;
}
#games > h2 {
    grid-area: 1 / 1 / 1 / 4;
}
.games-door {
    grid-area: 3 / 1;
    /*text-align: center;*/
}
.games-selection {
    grid-area: 2 / 1 / 2 / 4;
    display: flex;
    justify-content: space-around;
    h3 {
        padding: 0.5rem;
    }
    /*flex-wrap: wrap;*/
    /*text-align: center;*/
}

/*ART ROOM*/
#art {
    display: grid;
    grid-template-columns: auto auto;
    grid-template-rows: auto auto auto 1fr;
    gap: 10px;
}
#art > h2 {
    grid-area: 1 / 1 / 1 / 5;
}
.art-marquee {
    grid-area: 2 / 2 / 4 / 2;
    image-rendering: auto;
}
.art-door {
    grid-area: 4 / 3;
}
.art-head {
    grid-area: 4 / 1;
    height: fit-content;
}

/*MUSIC ROOM*/
#music {
    display: grid;
    grid-template-columns: auto auto;
    grid-template-rows: auto auto 1fr;
    gap: 10px;
}
#music > h2 {
    grid-area: 1 / 1 / 1 / 4;
}
.music-door {
    grid-area: 3 / 3 / 5 / 3;
}
.music-selection {
    grid-area: 2 / 1 / 2 / 3;
    display: flex;
    justify-content: space-between;
    image-rendering: auto;
    img {
        padding: 1rem;
    }
    margin-left: 1rem;
}
.music-instrument {
    grid-area: 3 / 2 / 5 / 2;
    height: 192px;
}

/*UPDATES ROOM*/
#updates {
    display: grid;
    grid-template-rows: auto 1fr 6rem 1fr;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}
#updates > h2 {
    grid-area: 1 / 1 / 1 / 3;
}
.updates-changelog {
    grid-area: 2 / 1 / 4 / 1;
    height: 100%;
    padding: 0.5rem;
    margin-left: 0.5rem;
}
.updates-microblog {
    grid-area: 3 / 2 / 5 / 2;
    padding: 0.5rem;
    margin-right: 0.5rem;
    * {
        margin: auto;
    }
    h3 {
        margin: 0.5rem;
    }
}

/*ART HEAD*/
.ball {
    width: 128px;
    height: 128px;
    border-radius: 50%;
    box-sizing: border-box;
    will-change: transform;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 100;
    display: none;
}
